#!/usr/bin/perl -w

open(IN,$ARGV[0]);
open(OUT,">" . $ARGV[1]);
open(MASK,$ARGV[2]);

my $maskline = <MASK>;
@maskparts = split(/\t/, $maskline);
my $maski = $maskparts[0];
my $maskj = $maskparts[1];

my $line;
my $i = 0;
while ($line = <IN>)
{
	@parts = split(/\s/, $line);
	for (my $j = 0; $j < scalar(@parts); $j++)
	{
		if ($j != 0)
		{
			print OUT "\t";
		}
		if (($i == $maski) && ($j == $maskj))
		{
			print OUT "-1";
			$maskline = <MASK>;
			if (defined($maskline))
			{
				@maskparts = split(/\t/, $maskline);
				$maski = $maskparts[0];
				$maskj = $maskparts[1];
			}
			else
			{
				$maski = -1;
				$maskj = -1;
			}
		}
		else
		{
			print OUT $parts[$j];
		}
	}
	print OUT "\n";
	$i++;
}

close(IN);
close(OUT);
close(MASK);